# Docker Compose Ops (dc-ops)

`dc-ops` is a shell script designed to operations automate the local building and updating of several Docker services.
It aims to simplify continuous delivery (CD) processes and infrastructure management in a Docker environment. 

## How does it work?

* The script iterates through each line of the `stacklist` file, skipping comments
* It fetches the latest changes from the remote git repository and checks if there are new commits
* If there is a change it pulls the updates from the remote git repository, otherwise the entry is skipped
* Following this, it runs `docker compose up` which builds, (re)creates and starts the containers

The `stacklist` file can list either a directory containing a `docker-compose.yml` file or a precise `docker-compose` file.
(see `stacklist.example`)

## Usage

1. Ensure that your 'stacklist' file is up-to-date
2. Run the script manually or create a crontab entry
